On this page
No Headings
Last updated: June 4, 2026
Note: The Billing Agreements API and its webhooks are in limited release.
The Billing Agreements API creates an agreement for a recurring PayPal or debit card payment for goods or services.
This integration includes 2 webhook events:
| Event | Trigger | Related method |
|---|---|---|
BILLING_AGREEMENTS.AGREEMENT.CREATED | A reference transaction agreement is created. | Create agreement |
BILLING_AGREEMENTS.AGREEMENT.CANCELLED | A reference transaction agreement is cancelled. | Cancel agreement |
Make a POST call to the
Webhooks
API to subscribe to Billing Agreement webhook events:
curl -v -X POST https://api-m.paypal.com/v1/notifications/webhooks -H
'Content-Type: application/json' -H 'PayPal-Request-Id: UNIQUE-CALL-ID' -H
'Authorization: Bearer PARTNER-ACCESS-TOKEN' -H
'PayPal-Partner-Attribution-Id: BN-CODE' -d '[ { "url":
"https://example.com/example_webhook", "event _types": [ { "name":
"BILLING_AGREEMENTS.AGREEMENT.CREATED" }, { "name":
"BILLING_AGREEMENTS.AGREEMENT.CANCELLED" } ] } ]'Webhooks v1 API
Webhooks for billing plans and subscriptions